package eu.hsrw.tr.prog.vl.methoden;

/**
 * Demonstration der Abläufe beim Methodenaufruf
 * 
 * @author Thomas Richter
 *
 */
public class Methodenaufruf {
	
	// Methode zur Berechnung des Produkts a * b
	// Sehr umständlich! Nur zur Illustration.
	public static int produkt(int a, int b) {
		int ergebnis = a * b;
		
		return ergebnis;
	}
	
	// Methode zur Berechnung der Fakultät einer Ganzzahl n
	public static int fakultaet(int n) {
		// Zwischenergebnis
		int f = 1;

		for (int i = 1; i <= n; i++) {
			f = produkt(f, i);
		}

		// Rückgabe des Ergebnisses an den Aufrufer
		return f;
	}

	public static void main(String[] args) {

		int x = 2;
		
		int y = 4;
		
		int p = produkt(x, y);
		
		System.out.println(p);
		
		System.out.println(fakultaet(y));
	}
}